org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery

## Class HandlerBindingDiscovery

- java.lang.Object
- - org.objectweb.asm.AnnotationVisitor
  - - org.apache.felix.ipojo.manipulator.metadata.annotation.model.discovery.HandlerBindingDiscovery

All Implemented Interfaces:
  AnnotationDiscovery

    public class HandlerBindingDiscovery
    extends org.objectweb.asm.AnnotationVisitor
    implements AnnotationDiscovery

The annotation visitor responsible for parsing the `HandlerBinding` annotation.

### Field Summary

Fields
`static String` `HANDLER_BINDING_DESCRIPTOR`

### Fields inherited from class org.objectweb.asm.AnnotationVisitor

`api, av`

### Constructor Summary

Constructors
Constructor and Description
`HandlerBindingDiscovery()` Constructs a new `AnnotationVisitor`.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getNamespace()`
`String` `getValue()`
`boolean` `isHandlerBinding()`
`void` `visit(String name, Object value)`
`org.objectweb.asm.AnnotationVisitor` `visitAnnotation(String desc)`

### Methods inherited from class org.objectweb.asm.AnnotationVisitor

`getDelegate, visitAnnotation, visitArray, visitEnd, visitEnum`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### HANDLER_BINDING_DESCRIPTOR

    public static final String HANDLER_BINDING_DESCRIPTOR

### Constructor Detail

#### HandlerBindingDiscovery

    public HandlerBindingDiscovery()

Constructs a new `AnnotationVisitor`.

### Method Detail

#### visitAnnotation

    public org.objectweb.asm.AnnotationVisitor visitAnnotation(String desc)

Specified by:
  `visitAnnotation` in interface `AnnotationDiscovery`

#### visit

    public void visit(String name,
                      Object value)

Overrides:
  `visit` in class `org.objectweb.asm.AnnotationVisitor`

#### isHandlerBinding

    public boolean isHandlerBinding()

#### getValue

    public String getValue()

#### getNamespace

    public String getNamespace()